Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class FeatureGroup.Feature

    java.lang.Object
      portlets.compoze.groupware.FeatureGroup.Feature

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FeatureGroup

public static class FeatureGroup.Feature
extends java.lang.Object
implements java.io.Serializable

This class represents a Compoze portlet feature.

See Also:
  Serialized Form

Field Summary
`static FeatureGroup.Feature` | `ADDRESS_BOOK` This value represents the 'Address Book' feature.
`static FeatureGroup.Feature` | `CALENDAR` This value represents the 'Calendar' feature.
`static FeatureGroup.Feature` | `HOME` This value represents the 'Home' feature.
`static FeatureGroup.Feature` | `INSTANT_MESSAGING` This value represents the 'Instant Messaging' feature.
`static FeatureGroup.Feature` | `MAIL` This value represents the 'Mail' feature.
`static FeatureGroup.Feature` | `OPTIONS` This value represents the 'Options' feature.
`static FeatureGroup.Feature` | `TASKS` This value represents the 'Tasks' feature.
`static int` | `VALUE_ADDRESS_BOOK` This is the value of the feature 'address book'.
`static int` | `VALUE_CALENDAR` This is the value of the feature 'calendar'.
`static int` | `VALUE_HOME` This is the value of the feature 'home'.
`static int` | `VALUE_INSTANT_MESSAGING` This is the value of the feature 'instant messaging'.
`static int` | `VALUE_MAIL` This is the value of the feature 'mail'.
`static int` | `VALUE_OPTIONS` This is the value of the feature 'options'.
`static int` | `VALUE_TASKS` This is the value of the feature 'tasks'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates whether some other `Feature` object is "equal to" this one.
`static java.util.List` | `getFeatures()` Gets the list of features.
`int` | `getValue()` Gets the feature value.
`int` | `hashCode()` Overrides the default hash code by using the feature value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_MAIL

    public static final int VALUE_MAIL

  This is the value of the feature 'mail'.

  See Also:
    Constant Field Values

### VALUE_CALENDAR

    public static final int VALUE_CALENDAR

  This is the value of the feature 'calendar'.

  See Also:
    Constant Field Values

### VALUE_ADDRESS_BOOK

    public static final int VALUE_ADDRESS_BOOK

  This is the value of the feature 'address book'.

  See Also:
    Constant Field Values

### VALUE_TASKS

    public static final int VALUE_TASKS

  This is the value of the feature 'tasks'.

  See Also:
    Constant Field Values

### VALUE_HOME

    public static final int VALUE_HOME

  This is the value of the feature 'home'.

  See Also:
    Constant Field Values

### VALUE_OPTIONS

    public static final int VALUE_OPTIONS

  This is the value of the feature 'options'.

  See Also:
    Constant Field Values

### VALUE_INSTANT_MESSAGING

    public static final int VALUE_INSTANT_MESSAGING

  This is the value of the feature 'instant messaging'.

  See Also:
    Constant Field Values

### MAIL

    public static final FeatureGroup.Feature MAIL

  This value represents the 'Mail' feature.

### CALENDAR

    public static final FeatureGroup.Feature CALENDAR

  This value represents the 'Calendar' feature.

### ADDRESS_BOOK

    public static final FeatureGroup.Feature ADDRESS_BOOK

  This value represents the 'Address Book' feature.

### TASKS

    public static final FeatureGroup.Feature TASKS

  This value represents the 'Tasks' feature.

### HOME

    public static final FeatureGroup.Feature HOME

  This value represents the 'Home' feature.

### OPTIONS

    public static final FeatureGroup.Feature OPTIONS

  This value represents the 'Options' feature.

### INSTANT_MESSAGING

    public static final FeatureGroup.Feature INSTANT_MESSAGING

  This value represents the 'Instant Messaging' feature.

Method Detail

### getValue

    public int getValue()

  Gets the feature value.

  Returns:
    the feature value (see `VALUE_` constants)

### hashCode

    public int hashCode()

  Overrides the default hash code by using the feature value.

  Returns:
    the hash code (feature value)
  See Also:
    `getValue()`

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other `Feature` object is "equal to" this one. Equality is determined by matching the feature value (see `VALUE_` constants).

  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise
  See Also:
    `getValue()`

### getFeatures

    public static java.util.List getFeatures()

  Gets the list of features.

  Returns:
    a list of `FeatureGroup.Feature` objects or an empty list if none available

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.